# Mini-Projet-TETRIS

## Description du Projet:
Ce projet est une amélioration du jeu de tetris actuellement proposé dans la bibliothèque de jeux basiques raylib.
Les améliorations majeures proposées sont :
* coloration des blocs
* ajout d'une musique de fond
* ajout de bruitages
* possibilité de gagner un bonus qui ralentit la vitesse du jeu pendant quelques instants
* ajout d'une fonctionnalité score ainsi que l'affichage du meilleur score enregistré

## Compiler et Lancer le Jeu :
* Ouvrir le document tetris.c dans Notepad++ for Raylib
* Cliquer sur la touche F6
Le jeu devrait compiler et se lancer.

## Comment jouer :
Ce jeu se joue comme un tetris basique, utilisez les flèches gauche et droite pour bouger la pièce du côte correspondant.
La flèche du haut permet de tourner la pièce, la flèche du bas permet de la descendre plus rapidement.
Essayez d'améliorer votre score en complètant un maximum de lignes à la fois !
Toutes les 20 lignes complétées, vous gagnerez un bonus sous le forme d'un escargot. En appuyant sur la touche ESPACE, vous enclencherez le bonus qui vous permet de ralentir le pas du jeu quelques instants.

## Fichiers écrits :
Ce projet est principalement basé sur la modification du code du fichier tetris.c fourni par la bibliothèque d'exemples Raylib.
J'ai également crée un fichier "high-score.txt" qui permet de garder en mémoire le meilleur score jamais fait sur ce jeu.
Le fichier tetris.c va lire les informations de meilleur score dans ce fichier texte ainsi que y écrire.
J'ai également rajouté deux fichiers sonores et une image png. D'une part pour la musique de fond du jeu et les bruitages lors de la disparition des lignes complètes. D'autre part pour ajouter un visuel lors de l'activation du bonus de temps.
